import request from '@/utils/request';

// 设备列表
export const getBaseList = (query) => {
  return request({
    url: '/tmn/base/list',
    method: 'get',
    params: query
  });
};
// 基本信息
export const getTopList = (query) => {
  return request({
    url: '/tmn/base/top/stat',
    method: 'get',
    params: query
  });
};
// 获取设备详细信息
export const getBaseInfo = (query) => {
  return request({
    url: '/tmn/base/info',
    method: 'get',
    params: query
  });
};
// 获取设备详细信息（统计）
export const getBaseStatInfo = (query) => {
  return request({
    url: '/tmn/base/stat/info',
    method: 'get',
    params: query
  });
};
// 获取设备配置信息
export const getTmnconfigInfo = (query) => {
  return request({
    url: '/wpr/tmnconfig/info',
    method: 'get',
    params: query
  });
};
// 更新设备配置信息
export const addTmnconfig = (data) => {
  return request({
    url: '/wpr/tmnconfig/add',
    method: 'post',
    data
  });
};
